| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
Qore::CallStackInfo Struct Reference

call stack hash description More...

`#include <ql_thread.dox.h>`

## Public Attributes
int | endline
| ending line number
string | file
| The parse label of the code; this is normally the file name; this corresponds to the label parameter of the Program::parse() and Program::parsePending() methods and the Qore::parse() function, for example (if known, for user code only)
string | function
| function or method name
string | lang
| the language of the source code; normally `"Qore"`
int | line
| starting line number
int | offset
| The line number offset for the `"source"` key (if known, for user code only)
*int | programid
| related program id (since 0.8.13.7)
string | source
| An optional source string; if multiple sections of a file were parsed with different parse labels, then the source file name will normally go here and the "file" key will have the parse label; this corresponds to the source parameter of the Program::parse() and Program::parsePending() methods, for example (if known, for user code only)
*int | statementid
| related statement id (since 0.8.13.7)
string | type
| a type string; either `"user"`, `"builtin"`, `"new-thread"` or `"rethrow"` (for rethrown exceptions)
int | typecode
| the call type; see Call Type Constants for possible values

## Detailed Description

call stack hash description

Since
  Qore 0.8.13